Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-24"

Path Parameters

id
string
required

The social account (a sacc_ identifier) whose posts to list.

Query Parameters

account_id
string
required
post_id
string
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

Response

200 - application/json

posts listed through the deprecated path

data
object[]
required
page_info
object
required